org.apache.felix.ipojo.manipulation

## Class ManipulationProperty

- java.lang.Object
- - org.apache.felix.ipojo.manipulation.ManipulationProperty

    public class ManipulationProperty
    extends Object

Store properties for the manipulation process.

Author:
  Felix Project Team

### Nested Class Summary

Nested Classes
`protected static class` `ManipulationProperty.Logger` Internal logger implementation.

### Field Summary

Fields
`static int` `INFO` Logger info level.
`protected static String` `IPOJO_INTERNAL_DESCRIPTOR` Ipojo internal package name for internal descriptor.
`protected static String` `IPOJO_INTERNAL_PACKAGE_NAME` Activator internal package name.
`protected static String` `IPOJO_PACKAGE_NAME` iPOJO Package name.
`static int` `SEVERE` Logger severe level.
`static int` `WARNING` Logger warning level.

### Constructor Summary

Constructors
Constructor and Description
`ManipulationProperty()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ManipulationProperty.Logger` `getLogger()` Get the manipulator logger.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INFO

    public static final int INFO

Logger info level.

See Also:
  Constant Field Values

#### WARNING

    public static final int WARNING

Logger warning level.

See Also:
  Constant Field Values

#### SEVERE

    public static final int SEVERE

Logger severe level.

See Also:
  Constant Field Values

#### IPOJO_INTERNAL_PACKAGE_NAME

    protected static final String IPOJO_INTERNAL_PACKAGE_NAME

Activator internal package name.

See Also:
  Constant Field Values

#### IPOJO_INTERNAL_DESCRIPTOR

    protected static final String IPOJO_INTERNAL_DESCRIPTOR

Ipojo internal package name for internal descriptor.

See Also:
  Constant Field Values

#### IPOJO_PACKAGE_NAME

    protected static final String IPOJO_PACKAGE_NAME

iPOJO Package name.

See Also:
  Constant Field Values

### Constructor Detail

#### ManipulationProperty

    public ManipulationProperty()

### Method Detail

#### getLogger

    public static ManipulationProperty.Logger getLogger()

Get the manipulator logger.

Returns:
  the logger used by the manipulator.